curl --request GET \
--url https://api.smartsend.io/v2/teams/{teamUuid}/wms/fulfillments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.smartsend.io/v2/teams/{teamUuid}/wms/fulfillments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.smartsend.io/v2/teams/{teamUuid}/wms/fulfillments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"identifier": "1234567890",
"order_identifier": "9876543210",
"order_reference": "#1001",
"status": "OPEN"
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 25,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true,
"page": 2
}
],
"path": "<string>",
"per_page": 100,
"to": 100,
"total": 2500
}
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "The requested resource was not found."
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}List open fulfillment requests
Lists open fulfillment requests across unfulfilled orders for the team’s configured WMS driver. A single order may produce multiple fulfillment requests.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional client-supplied request identifier. When provided and matching the validation pattern, the value is echoed back in the Request-ID response header. Otherwise the server generates one. Use this to correlate requests between client and server when reporting issues.
1 - 64^[A-Za-z0-9._-]{1,64}$Path Parameters
Team uuid. All resources are scoped to this team.
Query Parameters
Page number, starting at 1. Omit it to retrieve the first page.
x >= 1Number of items per page.
1 <= x <= 200Response
Paginated list of fulfillment requests.
Show child attributes
Show child attributes
Navigation links for a page-paginated collection. URLs preserve the selected filters and page size. First and last URLs are present even when the collection is empty; unavailable previous and next pages are null.
Show child attributes
Show child attributes
Page pagination metadata, including total count and the navigation window.
Show child attributes
Show child attributes
Was this page helpful?